gnutls_x509_crt_list_import_url(3)

NAME
gnutls_x509_crt_list_import_url - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_list_import_url(gnutls_x509_crt_t ** certs, unsigned int * size, const char * url, gnutls_pin_callback_t pin_fn, void * pin_fn_userdata, unsigned int flags);

ARGUMENTS

gnutls_x509_crt_t ** certs
    Will hold the allocated certificate list.

unsigned int * size
    It will contain the size of the list.

const char * url
    A PKCS 11 url

gnutls_pin_callback_t pin_fn
    a PIN callback if not globally set

void * pin_fn_userdata
    parameter for the PIN callback

unsigned int flags
    One of GNUTLS_PKCS11_OBJ_* flags for PKCS11 URLs or zero otherwise

DESCRIPTION
This function will import a certificate chain present in a PKCS11 token or any type of back-end that supports URLs. The certificates must be deinitialized afterwards using gnutls_x509_crt_deinit() and the returned pointer must be freed using gnutls_free().

The URI provided must be the first certificate in the chain; subsequent certificates will be retrieved using gnutls_pkcs11_get_raw_issuer() or equivalent functionality for the supported URI.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.6.3

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/